Skip to main content
POST
/
api
/
v1
/
public
/
subscribers
Create new subscriber (public endpoint)
curl --request POST \
  --url https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "John",
  "last_name": "Doe",
  "phone_number": "0771234567",
  "pin": "1234"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Subscriber registration details

first_name
string
required
Example:

"John"

last_name
string
required
Example:

"Doe"

phone_number
string
required
Example:

"0771234567"

pin
string
required
Example:

"1234"

address
string
Example:

"123 Main St"

category
string
Example:

"retail"

certificate_url
string
Example:

"https://example.com/cert.pdf"

district
string
Example:

"Western Urban"

email
string
Example:

"john@example.com"

id_back_url
string
Example:

"https://example.com/id_back.jpg"

id_front_url
string
Example:

"https://example.com/id_front.jpg"

kyc_level
integer
Example:

1

max_child_cards
integer
Example:

4

national_id
string
Example:

"NID123456"

organisation_name
string
Example:

"ABC Company Ltd"

organisation_type
string
Example:

"Limited Company"

other_names
string
Example:

"Michael"

referral_code
string
Example:

"REF123"

registration_id_no
string
Example:

"RC123456"

relationship_manager_id
integer
Example:

1

whatsapp_number
string
Example:

"0771234567"

Response

Subscriber created successfully

The response is of type object.